package com.bankaudit.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.JoinColumns;
import javax.persistence.ManyToOne;
import javax.persistence.OneToOne;
import javax.persistence.Table;

@Entity
@Table(name="maint_rating_composite_dtls")
public class MaintRatingCompositeDtls implements Serializable{ 

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;	
		
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Column(name="category_code")
	private String categoryCode;	
	
	@Column(name="param_name")
	private String paramName;
	
	@Column(name="param_desc")
	private String paramDesc;
	
	@Column(name="param_dimension")
	private String paramDimension;
	
	@Column(name="param_basis")
	private String paramBasis;
	
	@Column(name="param_input_mapping")
	private String paramInputMapping;
	
	@Column(name="param_input_mapping_ii")
	private String paramInputMappingII;
	
	@Column(name="remarks")
	private String remarks;
	
	@Column(name="status")
	private String status;
		
	@Column(name="entity_status")
	private String entityStatus;
	
	@Column(name="guidance_note")
	private String guidanceNote;
	

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getCategoryCode() {
		return categoryCode;
	}

	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public String getParamDesc() {
		return paramDesc;
	}

	public void setParamDesc(String paramDesc) {
		this.paramDesc = paramDesc;
	}

	public String getParamDimension() {
		return paramDimension;
	}

	public void setParamDimension(String paramDimension) {
		this.paramDimension = paramDimension;
	}

	public String getParamBasis() {
		return paramBasis;
	}

	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}

	public String getParamInputMapping() {
		return paramInputMapping;
	}

	public void setParamInputMapping(String paramInputMapping) {
		this.paramInputMapping = paramInputMapping;
	}

	public String getParamInputMappingII() {
		return paramInputMappingII;
	}

	public void setParamInputMappingII(String paramInputMappingII) {
		this.paramInputMappingII = paramInputMappingII;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getGuidanceNote() {
		return guidanceNote;
	}

	public void setGuidanceNote(String guidanceNote) {
		this.guidanceNote = guidanceNote;
	}
	

}
